#
# spec file for package piper
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2019 Matthias Bach <marix@marix.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           piper
Version:        0.4
Release:        lp152.2.1
Summary:        Configuration UI for gaming mice
License:        GPL-2.0-only
Group:          Hardware/Other
URL:            https://github.com/libratbag/piper
Source:         %name-%version.tar.xz
Patch1:         shebang-env.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  python-rpm-macros
BuildRequires:  python3-cairo
BuildRequires:  python3-evdev
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-lxml
BuildRequires:  update-desktop-files
Requires:       python3-cairo
Requires:       python3-evdev
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
Requires:       python3-lxml
Requires:       ratbagd >= 0.10

%description
Piper is a GTK+ application to configure gaming mice. It is a graphical frontent
to the ratbagd DBUS daemon which provides the actual configuration support for the
devices.

%prep
%setup -q
%patch -P 1 -p1

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install
%fdupes %buildroot/%_prefix
%suse_update_desktop_file -r org.freedesktop.Piper Settings HardwareSettings
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_bindir}/piper
%{_datadir}/applications/org.freedesktop.Piper.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.Piper.svg
%{_datadir}/metainfo/org.freedesktop.Piper.appdata.xml
%{_datadir}/piper
%{python3_sitelib}/*

%changelog
* Wed May 13 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Drop unneeded post(un) Requires update-desktop-files.
* Sat Feb 15 2020 marix@marix.org
- Update to version 0.4:
  * New and updated translations
  * Taiwanese Mandarin
  * Bulgarain
  * Italian
  * Polish
  * German
  * Croatian
  * Swedish
  * Brazilian Portuguese
  * More gracefully handle permission when connecting to the daemon
    [boo#1150413]
* Fri Aug  2 2019 marix@marix.org
- Update to version 0.3:
  * Switched back to "normal" version numbering
  * Check the APIVersion field in ratbagd to ensure it is
    compatible.
- Drop fix-resource-generation-script-shebang.patch as it has been
  applied upstream.
* Tue Apr 23 2019 Matthias Bach <marix@marix.org>
- Add missing dependency to python3-cairo. (boo#1132961)
* Sat Mar 30 2019 Matthias Bach <marix@marix.org>
- Update to version 0.2.904:
  * Adjusted to breaking DBus API changes of libratbag 0.9.905.
  * Removed "Add Profile" button as the functionality was not
    implemented.
  * SVG handling is now done wholly within Piper instead of relying
    on libratbag providing the SVGs.
- Added patch fix-resource-generation-script-shebang.patch which
  backports a fix for one of the build scripts.
* Wed Jan 30 2019 marix@marix.org
- Update to version 0.2.903:
  * Updated Polish and German translations.
  * Adjust to incompatible changes in ratbagd 0.9.904.
  * Improved handling of error cases.
  * Improved compatibility with HiDPI screens.
  * Provide localized desktop files
* Fri Oct 19 2018 marix@marix.org
- Added missing dependency to python3-gobject-Gdk.
* Thu Oct 18 2018 marix@marix.org
- Fixed use of deprecated syntax for BuildArch in the package
  spec.
* Wed Oct 17 2018 marix@marix.org
- Improved Category adjustment logic.
- Corrected Url in metadata to actually point to the upstream code
  repository.
- Replaced sed-patching by proper patch files.
- Minimised build dependencies.
* Tue Oct 16 2018 marix@marix.org
- Initial package creation
